Subject: [PATCH] mmc: tegra: convert to device tree support only

From: [email-masked] (Stephen Warren)
Date: Fri, 17 Aug 2012 13:01:31 -0600

On 08/17/2012 01:04 AM, Joseph Lo wrote:
> When compiling a kernel that supports only Tegra30 and not Tegra20,
> the SDHCI driver will fail to compile since the of_match_device() failure
> fallback code unconditinally references soc_data_tegra20, which is only
> compiled in when Tegra20 support is enabled.
> 
> In Kernel 3.7, both Tegra20 and Tegra30 will only support booting using
> device tree, Hence, there is never a need to fall back to using
> soc_data_tegra20 if of_mach_device() fails. Instead, make this case an
> error. This removes the reference to soc_data_tegra20, and hence solves
> the compile failure.

Tested-by: Stephen Warren <[email-masked]>

(built and tested both Tegra20-only and Tegr30-only kernels with this
applied on top of next-20120816).